## FolksWebServiceFieldDetails

FolksWebServiceFieldDetails — Object representing a web service contact that can have some parameters associated with it.

## Types and Values

#define | FOLKS_TYPE_WEB_SERVICE_FIELD_DETAILS
struct | FolksWebServiceFieldDetails
struct | FolksWebServiceFieldDetailsClass
| FolksWebServiceDetails
struct | FolksWebServiceDetailsIface

## Description

See FolksAbstractFieldDetails.

## Functions

## Types and Values

### FOLKS_TYPE_WEB_SERVICE_FIELD_DETAILS

    #define FOLKS_TYPE_WEB_SERVICE_FIELD_DETAILS (folks_web_service_field_details_get_type ())

The type for FolksWebServiceFieldDetails.

### struct FolksWebServiceFieldDetails

    struct FolksWebServiceFieldDetails {
    	FolksAbstractFieldDetails parent_instance;
    	FolksWebServiceFieldDetailsPrivate * priv;
    };

Object representing a web service contact that can have some parameters associated with it.

See FolksAbstractFieldDetails.

Since: 0.6.0

### struct FolksWebServiceFieldDetailsClass

    struct FolksWebServiceFieldDetailsClass {
    	FolksAbstractFieldDetailsClass parent_class;
    };

The class structure for `FOLKS_TYPE_WEB_SERVICE_FIELD_DETAILS`. All the fields in this structure are private and should never be accessed directly.

#### Members

### FolksWebServiceDetails

    typedef struct _FolksWebServiceDetails FolksWebServiceDetails;

Web service contact details.

Since: 0.5.0

### struct FolksWebServiceDetailsIface

    struct FolksWebServiceDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_web_service_addresses) (FolksWebServiceDetails* self, GeeMultiMap* web_service_addresses, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_web_service_addresses_finish) (FolksWebServiceDetails* self, GAsyncResult* _res_, GError** error);
    	GeeMultiMap* (*get_web_service_addresses) (FolksWebServiceDetails* self);
    	void (*set_web_service_addresses) (FolksWebServiceDetails* self, GeeMultiMap* value);
    };

Interface for creating FolksWebServiceDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_web_service_addresses` () | virtual method called by ``folks_web_service_details_change_web_service_addresses()`` |
`change_web_service_addresses_finish` () | asynchronous finish function for `change_web_service_addresses`, called by ``folks_web_service_details_change_web_service_addresses()`` |
`get_web_service_addresses` () | getter method for the abstract property "web-service-addresses" |
`set_web_service_addresses` () | setter method for the abstract property "web-service-addresses" |